Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#3655 (ok 3.5.3) table import from XML file fails

3.5.2
fixed
1
2013-06-11
2012-08-01
Alexander Maus
No

Exporting a table to an .xml file and trying to import it again fails. After clicking the OK button to start the import, the inner frame turn to white (background only) and stays as it is. There is no error logged in the apache logs and checking the frame source just shows a single empty line.
The table has not been imported.
This happens at least with v3.5.1 and v3.5.2. It is known to be OK in v3.4.10.

Discussion

1 2 > >> (Page 1 of 2)
  • Marc Delisle
    Marc Delisle
    2012-08-02

    Moved to Bugs

     
  • Marc Delisle
    Marc Delisle
    2012-08-02

    • labels: 509108 --> Data insertion/extraction/manipulation
     
  • Ann + J.M.
    Ann + J.M.
    2012-08-06

    0d1407f178dcd8cf97de424b3611b51043f08377 is the first bad commit
    commit 0d1407f178dcd8cf97de424b3611b51043f08377
    Author: Madhura Jayaratne <madhura.cj@gmail.com>
    Date: Sat Feb 18 14:43:05 2012 +0530

    bug #3486970 [import] Exception on XML import

     
  • Ann + J.M.
    Ann + J.M.
    2012-08-06

    • assigned_to: nobody --> madhuracj
    • milestone: --> 3.5.2
     
  • Hi Jo,
    I'm unable to reproduce the bug locally with the QA_3_5 branch.( I exported `Country` table of the `world` database in xml format, deleted the table and was able to import it back without any trouble.) Is there any other requirement that needs to be met to reproduce this bug?

     
    • status: open --> pending
     
  • Alexander Maus
    Alexander Maus
    2012-08-30

    @madhuracj: Who is Jo? Or better: Who are you asking?

    Update: Even latest version (3.5.2.2) has this problem. Had to go back to 3.4.10 again. I'm running it under SuSE Linux Enterprise 10 (php 5.2.14).

     
  • Alexander Maus
    Alexander Maus
    2012-08-30

    • status: pending --> open
     
  • Alexander Maus
    Alexander Maus
    2012-09-06

    Update: At least I was able to identify the patch causing the problem. After reverting this, even in the latest version it works again as expected.

    --- phpMyAdmin-old/libraries/import/xml.php 2012-02-18 13:26:45.000000000 +0100
    +++ phpMyAdmin/libraries/import/xml.php 2012-08-12 15:45:56.000000000 +0200
    @@ -186,7 +186,7 @@
    /**
    * Only attempt to analyze/collect data if there is data present
    */
    -if (@count($xml->children())) {
    +if ($xml && @$xml->count()) {
    $data_present = true;

    /**

     
    • summary: table import from XML file fails --> (ok 3.5.3) table import from XML file fails
    • priority: 5 --> 1
    • status: open --> open-fixed
     
1 2 > >> (Page 1 of 2)